IAcSmCustomPropertyBag
IAcSmDatabase オブジェクトのカスタムプロパティ値へのインターフェイス。
使用可能なメソッド
(setq cad (vlax-get-acad-object)) (setq ssmgr (vla-GetInterfaceObject cad "BricscadSm.AcSmSheetSetMgr")) (setq smdb (vlax-invoke-method ssmgr 'OpenDatabase dstfile)) (setq sheetset (vlax-invoke-method smdb 'GetSheetSet)) (setq custProps (vlax-invoke-method sheetset "GetCustomPropertyBag"))
項目 | 内容 |
---|---|
GetProperty | 提供されたプロパティ名に関連付けられたカスタムプロパティ値を返す。
(setq propval (vlax-invoke-method custProps 'GetProperty "Checked By")) HRESULT GetProperty ([in] BSTR name, [out, retval] IAcSmCustomPropertyValue** value) |
SetProperty | 提供されたプロパティ名に関連するカスタムプロパティ値を代入する。
(vlax-invoke-method custProps 'SetProperty "Checked By" propval) HRESULT SetProperty ([in] BSTR name, [in] IAcSmCustomPropertyValue* value) |
GetPropertyEnumerator | 含まれるすべてのプロパティの列挙子を返す。
(setq iter (vlax-invoke-method custProps 'GetPropertyEnumerator)) HRESULT GetPropertyEnumerator ([out, retval] IAcSmEnumProperty** enumerator) |